Bug 50659 - Dell PowerEdge 500SC IDE cable detect
Summary: Dell PowerEdge 500SC IDE cable detect
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-01 22:05 UTC by Matt Domsch
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 22:06:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PowerEdge 500SC IDE cable autodetect (1.51 KB, patch)
2001-08-01 22:06 UTC, Matt Domsch
no flags Details | Diff

Description Matt Domsch 2001-08-01 22:05:50 UTC
We've finally come to a solution regarding automatic detection of an 80-
pin IDE cable on the PE500SC CSB5 IDE controller.  The patch below 
implements it.  I've tested this with a test BIOS which implements this 
functionality (changes the PCI subsystem device ID as described below), 
with both 80-pin and 40-pin cables, and it works fine.  Based on 
controller type, and max UDMA mode set in BIOS setup, hdparm -i shows the 
maximum speed is properly selected in each case.

Current shipping BIOSs never set those top two bits, so the ide0=ata66 
override is necessary until a new BIOS is available.  The new BIOS is 
projected to be made publicly available in 6-8 weeks.  We're also ensuring 
that any Dell system with a CSB5 follows this same rule.

Patch attached was mailed to Andre Hedrick and Arjan on 8/1/01.

Comment 1 Matt Domsch 2001-08-01 22:06:46 UTC
Created attachment 25911 [details]
PowerEdge 500SC IDE cable autodetect

Comment 2 Arjan van de Ven 2001-08-02 15:54:56 UTC
Added for the next build


Note You need to log in before you can comment on or make changes to this bug.